Subject: Re: bug#53027: Backtrace with `guix pull --debug=2`

From: Maxime Devos <[email-masked]>
Date: Wed, 05 Jan 2022 21:20:12 +0000

Oskar Berndal schreef op wo 05-01-2022 om 16:19 [+0100]:
I tried running `guix pull` with the `--debug=2` flag. However, it led
a backtrace, that I include at the bottom. I tried the command twice
with the same backtrace, and then I tried without the debug flag,
simply running `guix pull`. This worked without error. Trying to run
with the debug flag again also worked immediately after that. [...]

I can reproduce. Tip: setting COLUMN to a huge number prevents these _
in backtraces, making the backtrace more informative:

$ COLUMNS=9000 guix pull --debug=2

Anyway, here's extra debug information, to be investigated:

10,6 MB zal binnengehaald worden
fetching path `/gnu/store/4y4qxga7yflgkdh0qgfj034q3das0ir4-guix-manual'...
 guix-manual                                                                                                              4.3MiB/s 00:02 | 7.6MiB transferred
fetching path `/gnu/store/3d9cyp999jsxamz018hiz20av600syrf-guix-extra'...
 guix-extra  2.9MiB                                                                                                2.5MiB/s 00:01 [##################] 100.0%
fetching path `/gnu/store/zxb0iiva4878ajkh1xq82mmm2csbwqk2-guix-locale-guix'...
 guix-locale-guix  306KiB                                                                                        515.0MiB/s 00:00 [##################] 100.0%
building path(s) `/gnu/store/xxhjcnw24vqhsh7zngz19drkpr24p933-config.scm'
|   @ build-started /gnu/store/w7y0m9g09wqnzlwzzdf1kw6ayq42a54g-config.scm.drv - x86_64-linux /var/log/guix/drvs/w7//y0m9g09wqnzlwzzdf1kw6ayq42a54g-config.scm.drv.bz2 26258
scanning for references inside `/gnu/store/xxhjcnw24vqhsh7zngz19drkpr24p933-config.scm'
building path(s) `/gnu/store/a57mqs7dgpmgkrbsif4fg340x3r9g5r7-guix-extra-modules'
|   @ build-started /gnu/store/y4plqs9vq1zbqsgassk1j3qznjkfnj65-guix-extra-modules.drv - x86_64-linux /var/log/guix/drvs/y4//plqs9vq1zbqsgassk1j3qznjkfnj65-guix-extra-modules.drv.bz2 26269
scanning for references inside `/gnu/store/a57mqs7dgpmgkrbsif4fg340x3r9g5r7-guix-extra-modules'
building path(s) `/gnu/store/v6pwv3gpb8gphn0smw2fr3zn1d4a2689-guix-config-source'
|   @ build-started /gnu/store/px2f4syh8hh2152a9bsff07a1hk07rb5-guix-config-source.drv - x86_64-linux /var/log/guix/drvs/px//2f4syh8hh2152a9bsff07a1hk07rb5-guix-config-source.drv.bz2 26280
scanning for references inside `/gnu/store/v6pwv3gpb8gphn0smw2fr3zn1d4a2689-guix-config-source'
building path(s) `/gnu/store/nqn5f7pj69hbkdbpw5y9phny3badpbjk-guix-packages-base'
|   @ build-started /gnu/store/88bx7pj1czzhbnhsb0x2kn9zv6ny83ap-guix-packages-base.drv - x86_64-linux /var/log/guix/drvs/88//bx7pj1czzhbnhsb0x2kn9zv6ny83ap-guix-packages-base.drv.bz2 26293
Backtrace:
In guix/store.scm:
   658:37 19 (thunk)
In guix/status.scm:
    802:4 18 (call-with-status-report _ _)
In guix/store.scm:
   1343:3 17 (_)
   1320:8 16 (call-with-build-handler _ _)
   1320:8 15 (call-with-build-handler #<procedure 7fc90f307060 at guix/ui.scm:1156:2 (continue store things mode)> _)
In guix/build/syscalls.scm:
   1423:3 14 (_)
   1390:4 13 (call-with-file-lock/no-wait _ _ _)
In guix/store.scm:
  2123:24 12 (run-with-store #<store-connection 256.99 7fc90f2b8190> _ #:guile-for-build _ #:system _ #:target _)
In guix/scripts/pull.scm:
    428:4 11 (_ _)
In guix/store.scm:
  1995:38 10 (_ #<store-connection 256.99 7fc8fdc73c30>)
In guix/scripts/package.scm:
   166:13  9 (build-and-use-profile #<store-connection 256.99 7fc8fdc73c30> "/var/guix/profiles/per-user/regulator/current-guix" #<<manifest> entries: (#<<manifest-entry> name: "guix" version: "f5da992" output: "out" item: #<derivation /gnu/store/jh87xsvgykf67am1l61llqfmbnpwxqa2-guix-f5da992b1.drv => /gnu/store/1m0cganbbvk1kwpppli9gm3mnxrr1h9v-guix-f5da992b1 7fc9023d5050> dependencies: () search-paths: () parent: #<promise #<procedure 7fc90f64c0f0 at guix/channels.scm:879:6 ()>> properties: ((source (repository (version 0) (url "https://git.savannah.gnu.org/git/guix.git") (branch "master") (commit "f5da992b16591b6dc358aa5224fa095738471585") (name guix) (introduction (channel-introduction (version 0) (commit "9edb3f66fd807b096b48283debdcddccfea34bad") (signer "BBB0 2DDF 2CEA F6A8 0D1D  E643 A2A0 6DF2 A33A 54FA"))))))>)> #:hooks _ #:allow-collisions? _ #:bootstrap? _)
In guix/store.scm:
  1421:15  8 (_ #<store-connection 256.99 7fc8fdc73c30> _ _)
   759:13  7 (process-stderr _ _)
In unknown file:
           6 (display "@ build-log 26293 41\n\r[  0/654] loading...\t  0.0% of 327 files" #<output: string 7fc90f2ed700>)
In guix/status.scm:
   747:19  5 (write! _ _ _)
In srfi/srfi-1.scm:
   460:18  4 (fold #<procedure 7fc90f30ed40 at guix/status.scm:637:2 (event status)> #<<build-status> building: () downloading: () builds-completed: () downloads-completed: (#<<download> item: "/gnu/store/zxb0iiva4878ajkh1xq82mmm2csbwqk2-guix-locale-guix" uri: "https://ci.guix.gnu.org/nar/zstd/zxb0iiva4878ajkh1xq82mmm2csbwqk2-guix-locale-guix" size: 313201 start: #<time type: time-monotonic nanosecond: 652962000 second: 1641417239> end: #<time type: time-monotonic nanosecond: 653772000 second: 1641417239> transferred: 313201> #<<download> item: "/gnu/store/3d9cyp999jsxamz018hiz20av600syrf-guix-extra" uri: "https://ci.guix.gnu.org/nar/zstd/3d9cyp999jsxamz018hiz20av600syrf-guix-extra" size: 3035344 start: #<time type: time-monotonic nanosecond: 217310000 second: 1641417238> end: #<time type: time-monotonic nanosecond: 373795000 second: 1641417239> transferred: 3035344> #<<download> item: "/gnu/store/4y4qxga7yflgkdh0qgfj034q3das0ir4-guix-manual" uri: "https://ci.guix.gnu.org/nar/lzip/4y4qxga7yflgkdh0qgfj034q3das0ir4-guix-manual" size: 7944251 start: #<time type: time-monotonic nanosecond: 149866000 second: 1641417236> end: #<time type: time-monotonic nanosecond: 895408000 second: 1641417237> transferred: 7944251>)> ((build-log 26293 "\r[  0/654] loading...\t  0.0% of 327 files")))
In guix/status.scm:
   638:15  3 (_ (build-log 26293 "\r[  0/654] loading...\t  0.0% of 327 files") #<<build-status> building: () downloading: () builds-completed: () downloads-completed: (#<<download> item: "/gnu/store/zxb0iiva4878ajkh1xq82mmm2csbwqk2-guix-locale-guix" uri: "https://ci.guix.gnu.org/nar/zstd/zxb0iiva4878ajkh1xq82mmm2csbwqk2-guix-locale-guix" size: 313201 start: #<time type: time-monotonic nanosecond: 652962000 second: 1641417239> end: #<time type: time-monotonic nanosecond: 653772000 second: 1641417239> transferred: 313201> #<<download> item: "/gnu/store/3d9cyp999jsxamz018hiz20av600syrf-guix-extra" uri: "https://ci.guix.gnu.org/nar/zstd/3d9cyp999jsxamz018hiz20av600syrf-guix-extra" size: 3035344 start: #<time type: time-monotonic nanosecond: 217310000 second: 1641417238> end: #<time type: time-monotonic nanosecond: 373795000 second: 1641417239> transferred: 3035344> #<<download> item: "/gnu/store/4y4qxga7yflgkdh0qgfj034q3das0ir4-guix-manual" uri: "https://ci.guix.gnu.org/nar/lzip/4y4qxga7yflgkdh0qgfj034q3das0ir4-guix-manual" size: 7944251 start: #<time type: time-monotonic nanosecond: 149866000 second: 1641417236> end: #<time type: time-monotonic nanosecond: 895408000 second: 1641417237> transferred: 7944251>)>)
   179:23  2 (update-build #<<build-status> building: () downloading: () builds-completed: () downloads-completed: (#<<download> item: "/gnu/store/zxb0iiva4878ajkh1xq82mmm2csbwqk2-guix-locale-guix" uri: "https://ci.guix.gnu.org/nar/zstd/zxb0iiva4878ajkh1xq82mmm2csbwqk2-guix-locale-guix" size: 313201 start: #<time type: time-monotonic nanosecond: 652962000 second: 1641417239> end: #<time type: time-monotonic nanosecond: 653772000 second: 1641417239> transferred: 313201> #<<download> item: "/gnu/store/3d9cyp999jsxamz018hiz20av600syrf-guix-extra" uri: "https://ci.guix.gnu.org/nar/zstd/3d9cyp999jsxamz018hiz20av600syrf-guix-extra" size: 3035344 start: #<time type: time-monotonic nanosecond: 217310000 second: 1641417238> end: #<time type: time-monotonic nanosecond: 373795000 second: 1641417239> transferred: 3035344> #<<download> item: "/gnu/store/4y4qxga7yflgkdh0qgfj034q3das0ir4-guix-manual" uri: "https://ci.guix.gnu.org/nar/lzip/4y4qxga7yflgkdh0qgfj034q3das0ir4-guix-manual" size: 7944251 start: #<time type: time-monotonic nanosecond: 149866000 second: 1641417236> end: #<time type: time-monotonic nanosecond: 895408000 second: 1641417237> transferred: 7944251>)> _ _)
In ice-9/boot-9.scm:
  1685:16  1 (raise-exception _ #:continuable? _)
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
In procedure struct-vtable: Wrong type argument in position 1 (expecting struct): #f